SuperLU 6.0.0

Functions
ilu_scolumn_dfs.c File Reference

Performs a symbolic factorization. More...

`#include "slu_sdefs.h"`
Include dependency graph for ilu_scolumn_dfs.c:

## Functions
int | ilu_scolumn_dfs (const int m, const int jcol, int *perm_r, int *nseg, int *lsub_col, int *segrep, int *repfnz, int *marker, int *parent, int_t *xplore, GlobalLU_t *Glu)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 4.0) --
    Lawrence Berkeley National Laboratory
    June 30, 2009

## Function Documentation

## ◆ ilu_scolumn_dfs()

int ilu_scolumn_dfs | ( | const int | m,
|  | const int | jcol,
|  | int * | perm_r,
|  | int * | nseg,
|  | int * | lsub_col,
|  | int * | segrep,
|  | int * | repfnz,
|  | int * | marker,
|  | int * | parent,
|  | int_t * | xplore,
|  | GlobalLU_t * | Glu
| ) |  |

    Purpose
    =======
      ILU_SCOLUMN_DFS performs a symbolic factorization on column jcol, and
      decide the supernode boundary.

      This routine does not use numeric values, but only use the RHS
      row indices to start the dfs.

      A supernode representative is the last column of a supernode.
      The nonzeros in U[*,j] are segments that end at supernodal
      representatives. The routine returns a list of such supernodal
      representatives in topological order of the dfs that generates them.
      The location of the first nonzero in each such supernodal segment
      (supernodal entry location) is also returned.

    Local parameters
    ================
      nseg: no of segments in current U[*,j]
      jsuper: jsuper=EMPTY if column j does not belong to the same
         supernode as j-1. Otherwise, jsuper=nsuper.

      marker2: A-row --> A-row/col (0/1)
      repfnz: SuperA-col --> PA-row
      parent: SuperA-col --> SuperA-col
      xplore: SuperA-col --> index to L-structure

    Return value
    ============
        0  success;
      > 0  number of bytes allocated when run out of space.

Here is the call graph for this function: